%define upstream_name    Games-Sudoku-Solver
%define upstream_version 1.1.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Solve 9x9-Sudokus recursivly
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(version)
BuildArch: noarch

%description
This module solves 9x9-Sudoku puzzles by recursion. There is no restriction
to the difficulty and the number of solutions.

The puzzle can be stored in a single dimension array or in a file, where
unknown cells are presented by zeros or points.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 367626
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 25 2012 kharec <kharec> 1.1.0-1.mga3
+ Revision: 283972
- imported package perl-Games-Sudoku-Solver

